Bug 853926 - krandr
krandr
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kde-workspace (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-03 06:39 EDT by aleksander.kamenik
Modified: 2015-11-01 20:36 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:02:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description aleksander.kamenik 2012-09-03 06:39:34 EDT
Description of problem:

The KDE Display Manager (krandr) does not properly disable a disconnected display. It's still configured and cannot be disabled manually, the options are grayed out.

Version-Release number of selected component (if applicable):
KDE 4.8 on Fedora 16 and 17.

kde-workspace-4.8.5-2.fc17.x86_64

How reproducible:

Always.


Steps to Reproduce:
1. Connect display (any port, including via dock)
2. Configure display
3. Disconnect display
  
Actual results:

Display is not disabled.


Expected results:

Disaply is disabled or can be disabled manually.

Additional info:

One has to either connect the display and disable it manually, log out of KDE or use the command xrandr --output HDMI2 --off to disable it for real.

More info with screenshots here: http://forum.kde.org/viewtopic.php?f=66&t=97138&p=249548#p249302


ThinkPad x220 laptop, Intel HD Graphics 3000.
Comment 1 Fedora End Of Life 2013-07-03 18:17:11 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 20:02:54 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.